Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004676OCamlOCaml generalpublic2008-12-17 19:062010-04-28 13:59
Reporteromion 
Assigned Toxleroy 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0+beta 
Target VersionFixed in Version3.12.0+dev 
Summary0004676: Num module locks up in Win64
DescriptionWhen using the Num module, it will lock up the program in certain situations. For example:

string_of_num (num_of_int max_int */ num_of_int max_int)

will freeze the process with 100% CPU usage. On Linux and OS-X 64-bit builds it works, and 32-bit Windows builds it works, but not 64-bit Windows builds.

The same thing happens in 3.11.0 and 3.10.2.
Additional InformationAlso posted on the Caml mailing list:
http://groups.google.com/group/fa.caml/browse_thread/thread/fb5563e03d14741e# [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005401)
xleroy (administrator)
2010-04-28 13:59

Fixed in SVN trunk. Will go in release 3.12.0.

- Issue History
Date Modified Username Field Change
2008-12-17 19:06 omion New Issue
2009-04-01 18:31 xleroy Status new => assigned
2009-04-01 18:31 xleroy Assigned To => xleroy
2010-04-28 13:59 xleroy Note Added: 0005401
2010-04-28 13:59 xleroy Status assigned => closed
2010-04-28 13:59 xleroy Resolution open => fixed
2010-04-28 13:59 xleroy Fixed in Version => 3.12.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker